//-----------Top Path-----------
  //路徑鈕 註冊的function
function main_PathAsciiToMqtt_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new AsciiToMqttSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
//-----------Left List-----------
function main_AsciiToMqtt_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathAsciiToMqtt_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqtt/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqtt/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqtt/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqtt/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new AsciiToMqttUpdatePage();
	Class.Initialization();
	Class = null;
}
//-----------Center-----------
//-----------ASCII / MQTT 轉換傳輸-----------
  //第1頁
function main_AsciiToMqttAddNewRow_click(that)
{
	var Class = new AsciiToMqttFirstPage();
	Class.AddNewRow(that);
	Class = null;
}
function main_AsciiToMqttEditButton_click(that)
{
	var Class = new AsciiToMqttFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_AsciiToMqttChangeAllCheckbox_click(that)
{
	var Class = new AsciiToMqttFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_AsciiToMqttShowPreviousPage_click()
{
	var Class = new AsciiToMqttFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_AsciiToMqttShowNextPage_click()
{
	var Class = new AsciiToMqttFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_AsciiToMqttSaveButton_click(that)
{
	var Class = new AsciiToMqttFirstPage();
	Class.SaveButton(that);
	Class = null;
}
function main_AsciiToMqttChangeCheckbox_click(that)
{
	var Class = new AsciiToMqttFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
  //第2頁
function main_AsciiToMqttConfirmButton_click(that)
{
	var Class = new AsciiToMqttSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}
function main_AsciiToMqttNoConfirmButton_click()
{
	var Class = new AsciiToMqttSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_AsciiToMqttRetainChangeAllCheckbox_click(that)
{
	var Class = new AsciiToMqttSecondPage();
	Class.RetainChangeAllCheckbox(that);
	Class = null;
}
function main_AsciiToMqttEnabledChangeAllCheckbox_click(that)
{
	var Class = new AsciiToMqttSecondPage();
	Class.EnabledChangeAllCheckbox(that);
	Class = null;
}
function main_AsciiToMqttShowColumn_click()
{
	var Class = new AsciiToMqttSecondPage();
	Class.ShowColumn();
	Class = null;
}
function main_AsciiToMqttHideColumn_click()
{
	var Class = new AsciiToMqttSecondPage();
	Class.HideColumn();
	Class = null;
}